VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::recovery::backup::PartsTypes::Part Class Reference

`Parts.Part` class Structure representing backup restore part More...

List of all members.

## Public Member Functions
| Part ()
| Creates a default new instance.
string | GetId ()
| part ID When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.appliance.recovery.backup.parts` .
void | SetId (string id)
| part ID When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.appliance.recovery.backup.parts` .
vmware.appliance.recovery.backup.PartsTypes.LocalizableMessage | GetName ()
| part name id in message bundle
void | SetName (vmware.appliance.recovery.backup.PartsTypes.LocalizableMessage name)
| part name id in message bundle
vmware.appliance.recovery.backup.PartsTypes.LocalizableMessage | GetDescription ()
| part description id in message bundle
void | SetDescription (vmware.appliance.recovery.backup.PartsTypes.LocalizableMessage description)
| part description id in message bundle
bool | GetSelectedByDefault ()
| Is part selected by default in UI.
void | SetSelectedByDefault (bool selectedByDefault)
| Is part selected by default in UI.
bool | GetOptional ()
| Estimated size of this piece.
void | SetOptional (bool optional)
| Estimated size of this piece.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Parts.Part` class Structure representing backup restore part

## Constructor & Destructor Documentation

vmware::appliance::recovery::backup::PartsTypes::Part::Part | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::recovery::backup::PartsTypes::Part::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::recovery::backup::PartsTypes::Part::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::recovery::backup::PartsTypes::Part::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::recovery::backup::PartsTypes::Part::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::recovery::backup::PartsTypes::Part::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::recovery::backup::PartsTypes::Part::Equals | ( | object | obj | ) | `[inline]`

vmware.appliance.recovery.backup.PartsTypes.LocalizableMessage vmware::appliance::recovery::backup::PartsTypes::Part::GetDescription | ( |  | ) | `[inline]`

part description id in message bundle

override int vmware::appliance::recovery::backup::PartsTypes::Part::GetHashCode | ( |  | ) | `[inline]`

string vmware::appliance::recovery::backup::PartsTypes::Part::GetId | ( |  | ) | `[inline]`

part ID When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.appliance.recovery.backup.parts` .

When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.appliance.recovery.backup.parts` .

vmware.appliance.recovery.backup.PartsTypes.LocalizableMessage vmware::appliance::recovery::backup::PartsTypes::Part::GetName | ( |  | ) | `[inline]`

part name id in message bundle

bool vmware::appliance::recovery::backup::PartsTypes::Part::GetOptional | ( |  | ) | `[inline]`

Estimated size of this piece.

bool vmware::appliance::recovery::backup::PartsTypes::Part::GetSelectedByDefault | ( |  | ) | `[inline]`

Is part selected by default in UI.

void vmware::appliance::recovery::backup::PartsTypes::Part::SetDescription | ( | vmware.appliance.recovery.backup.PartsTypes.LocalizableMessage | description | ) | `[inline]`

part description id in message bundle

void vmware::appliance::recovery::backup::PartsTypes::Part::SetId | ( | string | id | ) | `[inline]`

part ID When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.appliance.recovery.backup.parts` .

When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.appliance.recovery.backup.parts` .

void vmware::appliance::recovery::backup::PartsTypes::Part::SetName | ( | vmware.appliance.recovery.backup.PartsTypes.LocalizableMessage | name | ) | `[inline]`

part name id in message bundle

void vmware::appliance::recovery::backup::PartsTypes::Part::SetOptional | ( | bool | optional | ) | `[inline]`

Estimated size of this piece.

void vmware::appliance::recovery::backup::PartsTypes::Part::SetSelectedByDefault | ( | bool | selectedByDefault | ) | `[inline]`

Is part selected by default in UI.

override string vmware::appliance::recovery::backup::PartsTypes::Part::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- PartsTypes.cs